package com.miaxis.traffic.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 标示对象 traffic_sign
 *
 * @author miaxis
 * @date 2023-05-30
 */
@Data
@TableName("traffic_sign")
@ApiModel(value = "TrafficSign", description = "标示对象 traffic_sign")
public class TrafficSign extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    /** 标示名称 */
    @Excel(name = "标示名称")
    @TableField("sign_name")
    @ApiModelProperty(value = "标示名称")
    private String signName;

    /** 排序 */
    @Excel(name = "排序")
    @TableField("seq")
    @ApiModelProperty(value = "排序")
    private Long seq;

    /** 图片URL */
    @Excel(name = "图片URL")
    @TableField("sign_url")
    @ApiModelProperty(value = "图片URL")
    private String signUrl;

    /** 父类id */
    @Excel(name = "父类id")
    @TableField("parent_id")
    @ApiModelProperty(value = "父类id")
    private Long parentId;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setSignName(String signName){
        this.signName = signName;
    }

    public String getSignName(){
        return signName;
    }
    public void setSeq(Long seq){
        this.seq = seq;
    }

    public Long getSeq(){
        return seq;
    }
    public void setSignUrl(String signUrl){
        this.signUrl = signUrl;
    }

    public String getSignUrl(){
        return signUrl;
    }
    public void setParentId(Long parentId){
        this.parentId = parentId;
    }

    public Long getParentId(){
        return parentId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("signName", getSignName())
            .append("seq", getSeq())
            .append("signUrl", getSignUrl())
            .append("parentId", getParentId())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
